## com.baidubce.services.sms.model
Class CreateTemplateRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.sms.model.SmsRequest
              com.baidubce.services.sms.model.CreateTemplateRequest

    public class CreateTemplateRequest

extends SmsRequest

Constructor Summary
`CreateTemplateRequest()`

Method Summary
`String` `getContent()`
`String` `getName()`
`void` `setContent(String content)`
`void` `setName(String name)`
`String` `toString()`
`CreateTemplateRequest` `withContent(String content)`
`CreateTemplateRequest` `withName(String name)`

Methods inherited from class com.baidubce.services.sms.model.SmsRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateTemplateRequest

    public CreateTemplateRequest()

Method Detail

### withName

    public CreateTemplateRequest withName(String name)

### withContent

    public CreateTemplateRequest withContent(String content)

### getName

    public String getName()

### setName

    public void setName(String name)

### getContent

    public String getContent()

### setContent

    public void setContent(String content)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.